Bug 99538 - Anaconda hangs when trying to sbp2 kernel module
Summary: Anaconda hangs when trying to sbp2 kernel module
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-21 19:27 UTC by Bernd Bartmann
Modified: 2015-01-04 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 01:54:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -vv (8.67 KB, text/plain)
2003-07-21 19:28 UTC, Bernd Bartmann
no flags Details

Description Bernd Bartmann 2003-07-21 19:27:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After successfully loading the ohci1394 kernel module anaconda tries to load the
sbp2 module and hangs. I've connected an external 5,25" firewire/USB2 IDE case
containing an Sony DRU-500A DVD burner to my PCI add-on firewire/USB2 combo card.

I could successfully install Severn Beta1 after switching off the external case.
After installation I tried to switch it on again but now the system hangs while
trying to discover new hardware. It's not hard locked but never end hardware
detection.

This happens on an ECS K7S5A mainboard using an Athlon 2000XP+.
lspci -vv attached


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Severn Beta 1 when an external device is attached via firewire
2.
3.
    

Additional info:

Comment 1 Bernd Bartmann 2003-07-21 19:28:33 UTC
Created attachment 93032 [details]
output of lspci -vv

Comment 2 Ben Hsu 2003-08-10 07:18:08 UTC
I am also seeing this bug.

My hardware is a Lucent FW323 1394 controller (lspci output follows) and an ADS
1394 enclosure. It hangs with the 2.4.21 kernel in Severn both when installing
and after installing. I went back to my old kernel (vanilla 2.4.20 w/
interactivity patches) and it works fine there.

With 2.6.0-test2 and later my device is not detected.

01:07.0 FireWire (IEEE 1394): Lucent Microelectronics FW323 (rev 04) (prog-if 10
[OHCI])
	Subsystem: Indigita Corporation FireWire Host Bus Adapter
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (3000ns min, 6000ns max), cache line size 08
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at ec011000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <available only to root>

I hope this information was useful

Comment 3 Ben Hsu 2003-08-12 15:39:32 UTC
I applied the following patch on Stefan Richter (of the Linux ieee1394 list)'s
recommendation, and although the hang went away, my drive was not detected after
bootup

http://www.linux1394.org/patches/scsi_add_rem.diff

Comment 4 Dave Jones 2003-08-13 17:39:19 UTC
Ben, what happens if you rescan the bus after booting with
http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh


Comment 5 Ben Hsu 2003-08-14 16:04:08 UTC
Dave,
I compiled 2 kernels: the first has the scsi hotplug patch and the second has
the scsi hotplug patch and the latest ieee1394. With both of them I was able to
get my drive recognized with the following steps:
 - modprobe ohci1394 (may also need to do modprobe sbp2). I have not tinkered
with modules.conf but this step should be automatable.
 - rescan-scsi-bus.sh

This situation looks stable. I tested it by playing ogg files off the disk for
1/2 an hour and copying several gigs of data within the disk.

FYI the second kernel has not been tested beyond "oh, it works" After that I did
all the remaining testing with first kernel on the assumption that the patch
should be as small as possible.

Comment 6 Ben Hsu 2003-08-15 15:31:03 UTC
FYI, in previous attempts to get this to work I installed the latest hotplug
scripts from the linux hotplug site. I do not know if those made any difference

Comment 7 Dave Jones 2004-08-25 15:58:27 UTC
how did things work out with the final release / subsequent errata's ?



Note You need to log in before you can comment on or make changes to this bug.